package com.sun.grizzly.jruby.rack;

import org.jruby.Ruby;
import org.jruby.javasupport.JavaEmbedUtils;
import org.jruby.runtime.builtin.IRubyObject;

import java.util.logging.Logger;

import com.sun.grizzly.jruby.RailsAdapter;

/**
 * @author Jacob Kesser
 */
public class SinatraApplicationFactory extends DefaultRackApplicationFactory {
    public SinatraApplicationFactory(RailsAdapter adapter) {
        super(adapter);
    }

    public IRubyObject createApplicationObject(Ruby runtime) {
        runtime.defineReadonlyVariable("$glassfish_appRoot", JavaEmbedUtils.javaToRuby(runtime,appRoot));
        runtime.evalScriptlet("require 'jruby/rack/sinatra'");
        return runtime.evalScriptlet(
                "Rack::Handler::Grizzly.new(Sinatra::Application.new)");
    }
}
